---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libHeap.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F310, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51250, symBinAddr: 0xE138, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51638, symBinAddr: 0xE520, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x525D8, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x525E0, symBinAddr: 0xF4C8, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4EF60, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4EF64, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4EF68, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F0B8, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F170, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F174, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F178, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F17C, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F180, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F188, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F1A0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F1A8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F1B0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F1B8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F1C0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4F208, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90AE, offset: 0x90AE, size: 0x8, addend: 0x0, symName: __ZL20heap_object_callback, symObjAddr: 0xDC30, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x90C7, offset: 0x90C7, size: 0x8, addend: 0x0, symName: __ZL20user_data_error_flag, symObjAddr: 0x4F210, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x90E7, offset: 0x90E7, size: 0x8, addend: 0x0, symName: __ZL15dummy_user_data, symObjAddr: 0x4F214, symBinAddr: 0xC1B4, symSize: 0x0 }
  - { offsetInCU: 0x9100, offset: 0x9100, size: 0x8, addend: 0x0, symName: __ZL18heap_root_callback, symObjAddr: 0x4F218, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9119, offset: 0x9119, size: 0x8, addend: 0x0, symName: __ZL18stack_ref_callback, symObjAddr: 0x4F220, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9132, offset: 0x9132, size: 0x8, addend: 0x0, symName: __ZL19object_ref_callback, symObjAddr: 0x4F228, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x914B, offset: 0x914B, size: 0x8, addend: 0x0, symName: __ZL15tag_results_ref, symObjAddr: 0x4F230, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9164, offset: 0x9164, size: 0x8, addend: 0x0, symName: __ZL18object_results_ref, symObjAddr: 0x4F238, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x917D, offset: 0x917D, size: 0x8, addend: 0x0, symName: __ZL12object_count, symObjAddr: 0x4F240, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9196, offset: 0x9196, size: 0x8, addend: 0x0, symName: __ZL20object_free_callback, symObjAddr: 0x4F248, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x91B0, offset: 0x91B0, size: 0x8, addend: 0x0, symName: __ZL17object_free_count, symObjAddr: 0x4F250, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x9202, offset: 0x9202, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x41D8, symSize: 0xA0 }
  - { offsetInCU: 0x9297, offset: 0x9297, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x41B0, symSize: 0x28 }
  - { offsetInCU: 0x92FA, offset: 0x92FA, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x4130, symSize: 0x80 }
  - { offsetInCU: 0x958E, offset: 0x958E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x4278, symSize: 0x20C }
  - { offsetInCU: 0x9747, offset: 0x9747, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x4484, symSize: 0x28 }
  - { offsetInCU: 0x9810, offset: 0x9810, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x44AC, symSize: 0xB0 }
  - { offsetInCU: 0x9907, offset: 0x9907, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x455C, symSize: 0xD8 }
  - { offsetInCU: 0x9A2C, offset: 0x9A2C, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x4634, symSize: 0x24 }
  - { offsetInCU: 0x9B0F, offset: 0x9B0F, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x4658, symSize: 0x168 }
  - { offsetInCU: 0x9CEB, offset: 0x9CEB, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x47C0, symSize: 0x104 }
  - { offsetInCU: 0x9E68, offset: 0x9E68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x48C4, symSize: 0x154 }
  - { offsetInCU: 0xA04C, offset: 0xA04C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x4A18, symSize: 0xAC }
  - { offsetInCU: 0xA121, offset: 0xA121, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x4AC4, symSize: 0x14 }
  - { offsetInCU: 0xA15A, offset: 0xA15A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x4AD8, symSize: 0x14 }
  - { offsetInCU: 0xA193, offset: 0xA193, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x4AEC, symSize: 0x14 }
  - { offsetInCU: 0xA310, offset: 0xA310, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x4B00, symSize: 0x1A8 }
  - { offsetInCU: 0xA624, offset: 0xA624, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4CA8, symSize: 0x9C }
  - { offsetInCU: 0xA6E1, offset: 0xA6E1, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4D44, symSize: 0x690 }
  - { offsetInCU: 0xB273, offset: 0xB273, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9854, symBinAddr: 0x6664, symSize: 0x30 }
  - { offsetInCU: 0xB2FF, offset: 0xB2FF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x53D4, symSize: 0x74 }
  - { offsetInCU: 0xB3AF, offset: 0xB3AF, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x5448, symSize: 0xB0 }
  - { offsetInCU: 0xB4DA, offset: 0xB4DA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x54F8, symSize: 0x3C }
  - { offsetInCU: 0xB5D0, offset: 0xB5D0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x5534, symSize: 0x29C }
  - { offsetInCU: 0xB913, offset: 0xB913, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x57D0, symSize: 0xD0 }
  - { offsetInCU: 0xBA41, offset: 0xBA41, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x58A0, symSize: 0xC }
  - { offsetInCU: 0xBB03, offset: 0xBB03, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x58AC, symSize: 0x22C }
  - { offsetInCU: 0xBDBE, offset: 0xBDBE, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5AD8, symSize: 0x4 }
  - { offsetInCU: 0xBE02, offset: 0xBE02, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5AD8, symSize: 0x4 }
  - { offsetInCU: 0xBE14, offset: 0xBE14, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5ADC, symSize: 0x18C }
  - { offsetInCU: 0xBFE3, offset: 0xBFE3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E58, symBinAddr: 0x5C68, symSize: 0x4 }
  - { offsetInCU: 0xC027, offset: 0xC027, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E58, symBinAddr: 0x5C68, symSize: 0x4 }
  - { offsetInCU: 0xC039, offset: 0xC039, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_setTag0, symObjAddr: 0x8E5C, symBinAddr: 0x5C6C, symSize: 0x1C }
  - { offsetInCU: 0xC0D3, offset: 0xC0D3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_getTag0, symObjAddr: 0x8E78, symBinAddr: 0x5C88, symSize: 0x64 }
  - { offsetInCU: 0xC1A9, offset: 0xC1A9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_getObjectSize, symObjAddr: 0x8EDC, symBinAddr: 0x5CEC, symSize: 0x64 }
  - { offsetInCU: 0xC28B, offset: 0xC28B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_iterateOverHeap0, symObjAddr: 0x8F40, symBinAddr: 0x5D50, symSize: 0x7C }
  - { offsetInCU: 0xC319, offset: 0xC319, size: 0x8, addend: 0x0, symName: __ZL28default_heap_object_callbackllPlPv, symObjAddr: 0x8FBC, symBinAddr: 0x5DCC, symSize: 0x58 }
  - { offsetInCU: 0xC3AB, offset: 0xC3AB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_iterateOverInstancesOfClass0, symObjAddr: 0x9014, symBinAddr: 0x5E24, symSize: 0x8C }
  - { offsetInCU: 0xC49B, offset: 0xC49B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_iterateOverReachableObjects0, symObjAddr: 0x90A0, symBinAddr: 0x5EB0, symSize: 0x84 }
  - { offsetInCU: 0xC567, offset: 0xC567, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_iterateOverObjectsReachableFromObject0, symObjAddr: 0x9124, symBinAddr: 0x5F34, symSize: 0x78 }
  - { offsetInCU: 0xC609, offset: 0xC609, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_tagResults, symObjAddr: 0x919C, symBinAddr: 0x5FAC, symSize: 0xC }
  - { offsetInCU: 0xC63F, offset: 0xC63F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_objectResults, symObjAddr: 0x91A8, symBinAddr: 0x5FB8, symSize: 0xC }
  - { offsetInCU: 0xC7DD, offset: 0xC7DD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_getObjectsWithTags, symObjAddr: 0x91B4, symBinAddr: 0x5FC4, symSize: 0x218 }
  - { offsetInCU: 0xCC14, offset: 0xCC14, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_setTaggedObjectCountCallback, symObjAddr: 0x93CC, symBinAddr: 0x61DC, symSize: 0x1C }
  - { offsetInCU: 0xCC47, offset: 0xCC47, size: 0x8, addend: 0x0, symName: __ZL28tagged_object_count_callbackllPlPv, symObjAddr: 0x93E8, symBinAddr: 0x61F8, symSize: 0x7C }
  - { offsetInCU: 0xCC99, offset: 0xCC99, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_setTotalObjectCountCallback, symObjAddr: 0x9464, symBinAddr: 0x6274, symSize: 0x1C }
  - { offsetInCU: 0xCCCC, offset: 0xCCCC, size: 0x8, addend: 0x0, symName: __ZL27total_object_count_callbackllPlPv, symObjAddr: 0x9480, symBinAddr: 0x6290, symSize: 0x7C }
  - { offsetInCU: 0xCD1E, offset: 0xCD1E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_getObjectCount, symObjAddr: 0x94FC, symBinAddr: 0x630C, symSize: 0xC }
  - { offsetInCU: 0xCD57, offset: 0xCD57, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_zeroObjectCount, symObjAddr: 0x9508, symBinAddr: 0x6318, symSize: 0xC }
  - { offsetInCU: 0xCD8A, offset: 0xCD8A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_setKlassTagTestCallback, symObjAddr: 0x9514, symBinAddr: 0x6324, symSize: 0x14 }
  - { offsetInCU: 0xCDBE, offset: 0xCDBE, size: 0x8, addend: 0x0, symName: __ZL23klass_tag_test_callbackllPlPv, symObjAddr: 0x9528, symBinAddr: 0x6338, symSize: 0x70 }
  - { offsetInCU: 0xCE18, offset: 0xCE18, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_newGlobalRef, symObjAddr: 0x9598, symBinAddr: 0x63A8, symSize: 0x10 }
  - { offsetInCU: 0xCE9F, offset: 0xCE9F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_setHeapRootCallback, symObjAddr: 0x95A8, symBinAddr: 0x63B8, symSize: 0x24 }
  - { offsetInCU: 0xCED3, offset: 0xCED3, size: 0x8, addend: 0x0, symName: __ZL25simple_heap_root_callback17jvmtiHeapRootKindllPlPv, symObjAddr: 0x95CC, symBinAddr: 0x63DC, symSize: 0x70 }
  - { offsetInCU: 0xCF39, offset: 0xCF39, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_setStackRefCallback, symObjAddr: 0x963C, symBinAddr: 0x644C, symSize: 0x24 }
  - { offsetInCU: 0xCF6D, offset: 0xCF6D, size: 0x8, addend: 0x0, symName: __ZL25simple_stack_ref_callback17jvmtiHeapRootKindllPlliP10_jmethodIDiPv, symObjAddr: 0x9660, symBinAddr: 0x6470, symSize: 0x9C }
  - { offsetInCU: 0xD00A, offset: 0xD00A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_setObjectRefCallback, symObjAddr: 0x96FC, symBinAddr: 0x650C, symSize: 0x24 }
  - { offsetInCU: 0xD03E, offset: 0xD03E, size: 0x8, addend: 0x0, symName: __ZL26simple_object_ref_callback24jvmtiObjectReferenceKindllPlliPv, symObjAddr: 0x9720, symBinAddr: 0x6530, symSize: 0x6C }
  - { offsetInCU: 0xD0B8, offset: 0xD0B8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_setObjectFreeCallback, symObjAddr: 0x978C, symBinAddr: 0x659C, symSize: 0x1C }
  - { offsetInCU: 0xD0EB, offset: 0xD0EB, size: 0x8, addend: 0x0, symName: __ZL26object_free_count_callbackP9_jvmtiEnvl, symObjAddr: 0x97A8, symBinAddr: 0x65B8, symSize: 0x44 }
  - { offsetInCU: 0xD10D, offset: 0xD10D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_getObjectFreeCount, symObjAddr: 0x97EC, symBinAddr: 0x65FC, symSize: 0xC }
  - { offsetInCU: 0xD146, offset: 0xD146, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_unit_Heap_zeroObjectFreeCount, symObjAddr: 0x97F8, symBinAddr: 0x6608, symSize: 0xC }
  - { offsetInCU: 0xD1A0, offset: 0xD1A0, size: 0x8, addend: 0x0, symName: __ZL19default_object_freeP9_jvmtiEnvl, symObjAddr: 0x9804, symBinAddr: 0x6614, symSize: 0x50 }
  - { offsetInCU: 0xD1F2, offset: 0xD1F2, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9884, symBinAddr: 0x6694, symSize: 0x358 }
...
